Bug 1288874 - [abrt] lxsession: ldefault_apps_manual_autostart_init(): lxsession-default-apps killed by SIGABRT
[abrt] lxsession: ldefault_apps_manual_autostart_init(): lxsession-default-ap...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:97cad0a4d8233314c14c5d85666...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 14:47 EST by mastaiza
Modified: 2016-09-26 11:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 11:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.91 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: core_backtrace (4.12 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: dso_list (8.50 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: environ (1.06 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: maps (42.38 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: mountinfo (3.12 KB, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: open_fds (603 bytes, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-12-06 14:47 EST, mastaiza
no flags Details
settings.conf (8.31 KB, text/plain)
2015-12-08 09:56 EST, mastaiza
no flags Details
run.log (2.22 KB, text/plain)
2015-12-08 09:57 EST, mastaiza
no flags Details
config/lxsession/LXDE/desktop.conf (1.67 KB, text/plain)
2015-12-08 10:23 EST, mastaiza
no flags Details
pstree (15.99 KB, text/plain)
2015-12-08 11:08 EST, mastaiza
no flags Details
lxdm.conf (43 bytes, text/plain)
2016-09-26 10:00 EDT, mastaiza
no flags Details

  None (edit)
Description mastaiza 2015-12-06 14:47:30 EST
Version-Release number of selected component:
lxsession-0.5.2-6.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        lxsession-default-apps
crash_function: ldefault_apps_manual_autostart_init
executable:     /usr/bin/lxsession-default-apps
global_pid:     11276
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 ldefault_apps_manual_autostart_init at lxsession-default-apps/autostart.c:637
 #5 ldefault_apps_main_windows_construct at lxsession-default-apps/main.c:1896
 #6 ldefault_apps_main_windows_new at lxsession-default-apps/main.c:3439
 #7 ldefault_apps_update_windows_callback_pid at lxsession-default-apps/main.c:312
 #8 _ldefault_apps_update_windows_callback_pid_gchild_watch_func at lxsession-default-apps/main.c:246
 #9 g_child_watch_dispatch at gmain.c:5221
 #14 gtk_main at gtkmain.c:1268
 #15 ldefault_apps_main at lxsession-default-apps/main.c:3547
 #17 _start
Comment 1 mastaiza 2015-12-06 14:47:36 EST
Created attachment 1102853 [details]
File: backtrace
Comment 2 mastaiza 2015-12-06 14:47:37 EST
Created attachment 1102854 [details]
File: cgroup
Comment 3 mastaiza 2015-12-06 14:47:39 EST
Created attachment 1102855 [details]
File: core_backtrace
Comment 4 mastaiza 2015-12-06 14:47:41 EST
Created attachment 1102856 [details]
File: dso_list
Comment 5 mastaiza 2015-12-06 14:47:42 EST
Created attachment 1102857 [details]
File: environ
Comment 6 mastaiza 2015-12-06 14:47:44 EST
Created attachment 1102858 [details]
File: limits
Comment 7 mastaiza 2015-12-06 14:47:46 EST
Created attachment 1102859 [details]
File: maps
Comment 8 mastaiza 2015-12-06 14:47:48 EST
Created attachment 1102860 [details]
File: mountinfo
Comment 9 mastaiza 2015-12-06 14:47:49 EST
Created attachment 1102861 [details]
File: namespaces
Comment 10 mastaiza 2015-12-06 14:47:51 EST
Created attachment 1102862 [details]
File: open_fds
Comment 11 mastaiza 2015-12-06 14:47:53 EST
Created attachment 1102863 [details]
File: proc_pid_status
Comment 12 Mamoru TASAKA 2015-12-07 02:55:44 EST
* Would you write in detail how to reproduce this issue?
  Is this still reproducible to you?
* Would you attach the files below on this bug?
  - ~/.cache/lxsession-default-apps/run.log
  - ~/.config/lxsession-default-apps/settings.conf
Comment 13 mastaiza 2015-12-07 06:47:15 EST
file:///home/mastaiza/.cache/lxsession-default-apps/run.log

** Message: utils.vala:30: config_path_directory: /home/mastaiza/.config/lxsession-default-apps
** Message: desktop-files-backend.vala:171: test config_path: /home/mastaiza/.config/lxsession-default-apps/settings.conf
** Message: desktop-files-backend.vala:237: Scanning folder: /usr/share/applications
** Message: desktop-files-backend.vala:287: Start scanning

** Message: desktop-files-backend.vala:265: /usr/share/app-install/desktop doesn't exist. Pass
** Message: desktop-files-backend.vala:209: Signal finish scanning available with mode: write
** Message: desktop-files-backend.vala:189: Signal finish scanning installed with mode: write
** Message: desktop-files-backend.vala:342: Finishing scanning


(lxsession-default-apps:11276): Gtk-WARNING **: Attempting to add a widget with type GtkVBox to a container of type LDefaultAppsMainWindows, but the widget is already inside a container of type GtkWindow, the GTK+ FAQ at http://library.gnome.org/devel/gtk-faq/stable/ explains how to reparent a widget.
** Message: autostart.vala:286: Config system location : /etc/xdg/lxsession/Icewm
** Message: autostart.vala:292: System system path location : (null)
** Message: autostart.vala:296: Final file used : (null)
** Message: autostart.vala:36: Create blank file
** Message: autostart.vala:42: Произошла ошибка при открытии файла «/home/mastaiza/.config/lxsession/Icewm/autostart»: Нет такого файла или каталога
** Message: autostart.vala:72: Conf file for autostart: /home/mastaiza/.config/lxsession/Icewm/autostart
** Message: autostart.vala:286: Config system location : /etc/xdg/lxsession/Icewm
** Message: autostart.vala:292: System system path location : (null)
** Message: autostart.vala:296: Final file used : (null)
** Message: autostart.vala:36: Create blank file
** Message: autostart.vala:42: Произошла ошибка при открытии файла «/home/mastaiza/.config/lxsession/Icewm/autostart»: Нет такого файла или каталога
** Message: autostart.vala:72: Conf file for autostart: /home/mastaiza/.config/lxsession/Icewm/autostart
**
ERROR:lxsession-default-apps/autostart.c:637:ldefault_apps_manual_autostart_init: assertion failed: (stream != null)
Comment 14 mastaiza 2015-12-07 06:48:20 EST
file:///home/mastaiza/.config/lxsession-default-apps/settings.conf


[Mime]
webbrowser/available=
email/available=
file_manager/available=
screensaver/available=
composite_manager/available=
desktop_manager/available=
power_manager/available=
polkit/available=
im/available=
widget/available=
terminal_manager/available=
audio_player/available=
video_player/available=
pdf_reader/available=
image_display/available=
text_editor/available=
archive/available=
spreadsheet/available=
bittorent/available=
document/available=
burn/available=
tasks/available=
webbrowser/installed=Firefox,firefox,firefox,/usr/share/applications/firefox.desktop,;Links,links2,links,/usr/share/applications/links.desktop,;Tor Browser,torbrowser-launcher,torbrowser80.xpm,/usr/share/applications/torbrowser.desktop,;Tor Browser Launcher Settings,torbrowser-launcher,torbrowser80.xpm,/usr/share/applications/torbrowser-settings.desktop,;QupZilla,qupzilla,qupzilla,/usr/share/applications/qupzilla.desktop,;
email/installed=Sylpheed,sylpheed,sylpheed,/usr/share/applications/sylpheed.desktop,;
file_manager/installed=SpaceFM,spacefm,spacefm,/usr/share/applications/spacefm.desktop,;Файловый менеджер PCManFM,pcmanfm,system-file-manager,/usr/share/applications/pcmanfm.desktop,;
screensaver/installed=
composite_manager/installed=
desktop_manager/installed=Хранитель экрана,xscreensaver-demo,xscreensaver,/usr/share/applications/xscreensaver-properties.desktop,;Диспетчер панелей ,tint2conf,tint2conf,/usr/share/applications/tint2conf.desktop,;Менеджер настройки Openbox,obconf,obconf,/usr/share/applications/obconf.desktop,;Настройка внешнего вида,lxappearance,preferences-desktop-theme,/usr/share/applications/lxappearance.desktop,;Иконка входящих сообщений,mail-notification,mail-notification,/usr/share/applications/mail-notification-properties.desktop,;Главное меню,alacarte,alacarte,/usr/share/applications/alacarte.desktop,;Приложения по умолчанию для LXSession,lxsession-default-apps,xfwm4,/usr/share/applications/lxsession-default-apps.desktop,;Пароли и ключи,/usr/bin/seahorse,seahorse,/usr/share/applications/seahorse.desktop,;Параметры рабочего стола,pcmanfm,user-desktop,/usr/share/applications/pcmanfm-desktop-pref.desktop,;obmenu,obmenu,/usr/share/obmenu/mnu48.png,/usr/share/applications/obmenu.desktop,;Предпочтительные приложения,libfm-pref-apps,preferences-desktop,/usr/share/applications/libfm-pref-apps.desktop,;Настройка параметров сессии рабочего стола,lxsession-edit,session-properties,/usr/share/applications/lxsession-edit.desktop,;Рабочий стол,pcmanfm,preferences-desktop-wallpaper,/usr/share/applications/lxde-desktop-preferences.desktop,;Nitrogen,nitrogen,nitrogen,/usr/share/applications/nitrogen.desktop,;
power_manager/installed=
polkit/installed=
im/installed=Клиент обмена мгновенными сообщениями Pidgin,pidgin,pidgin,/usr/share/applications/pidgin.desktop,;
widget/installed=
terminal_manager/installed=Терминатор,terminator,terminator,/usr/share/applications/terminator.desktop,;XTerm,xterm,xterm-color,/usr/share/applications/xterm.desktop,;LXTerminal,lxterminal,lxterminal,/usr/share/applications/lxterminal.desktop,;
audio_player/installed=Cheese,cheese,cheese,/usr/share/applications/org.gnome.Cheese.desktop,;Браузер YouTube для SMPlayer,smtube,smtube,/usr/share/applications/smtube.desktop,;Kodi Media Center,kodi,kodi,/usr/share/applications/kodi.desktop,;Audacity,env,audacity,/usr/share/applications/audacity.desktop,;Добавить в очередь SMPlayer,smplayer,smplayer,/usr/share/applications/rpmfusion-smplayer_enqueue.desktop,;SMPlayer,smplayer,smplayer,/usr/share/applications/rpmfusion-smplayer.desktop,;GNOME MPV,gnome-mpv,gnome-mpv,/usr/share/applications/gnome-mpv.desktop,;Проигрыватель mpv,mpv,mpv,/usr/share/applications/mpv.desktop,;Аудиоконвертер,soundconverter,soundconverter,/usr/share/applications/soundconverter.desktop,;SimpleScreenRecorder,simplescreenrecorder,simplescreenrecorder,/usr/share/applications/simplescreenrecorder.desktop,;Rhythmbox,rhythmbox,rhythmbox,/usr/share/applications/rhythmbox.desktop,;Rhythmbox,rhythmbox-client,rhythmbox,/usr/share/applications/rhythmbox-device.desktop,;HDHomeRun Config,hdhomerun_config_gui,hdhr,/usr/share/applications/hdhomerun_config_gui.desktop,;Регулятор громкости PulseAudio,pavucontrol,multimedia-volume-control,/usr/share/applications/pavucontrol.desktop,;LXMusic simple music player,lxmusic,lxmusic,/usr/share/applications/lxmusic.desktop,;LASH Panel,lash_panel,lash,/usr/share/applications/lash-panel.desktop,;Brasero,brasero,brasero,/usr/share/applications/brasero.desktop,;gPodder,/usr/bin/gpodder,gpodder,/usr/share/applications/gpodder.desktop,;MediaInfo,mediainfo-gui,mediainfo,/usr/share/applications/mediainfo-gui.desktop,;gtk-recordMyDesktop,gtk-recordMyDesktop,gtk-recordmydesktop.png,/usr/share/applications/gtk-recordmydesktop.desktop,;Просмотрщик SWF Gnash,gnash-gtk-launcher,gnash,/usr/share/applications/gnash.desktop,;
video_player/installed=Cheese,cheese,cheese,/usr/share/applications/org.gnome.Cheese.desktop,;Браузер YouTube для SMPlayer,smtube,smtube,/usr/share/applications/smtube.desktop,;Kodi Media Center,kodi,kodi,/usr/share/applications/kodi.desktop,;Audacity,env,audacity,/usr/share/applications/audacity.desktop,;Добавить в очередь SMPlayer,smplayer,smplayer,/usr/share/applications/rpmfusion-smplayer_enqueue.desktop,;SMPlayer,smplayer,smplayer,/usr/share/applications/rpmfusion-smplayer.desktop,;GNOME MPV,gnome-mpv,gnome-mpv,/usr/share/applications/gnome-mpv.desktop,;Проигрыватель mpv,mpv,mpv,/usr/share/applications/mpv.desktop,;Аудиоконвертер,soundconverter,soundconverter,/usr/share/applications/soundconverter.desktop,;SimpleScreenRecorder,simplescreenrecorder,simplescreenrecorder,/usr/share/applications/simplescreenrecorder.desktop,;Rhythmbox,rhythmbox,rhythmbox,/usr/share/applications/rhythmbox.desktop,;Rhythmbox,rhythmbox-client,rhythmbox,/usr/share/applications/rhythmbox-device.desktop,;HDHomeRun Config,hdhomerun_config_gui,hdhr,/usr/share/applications/hdhomerun_config_gui.desktop,;Регулятор громкости PulseAudio,pavucontrol,multimedia-volume-control,/usr/share/applications/pavucontrol.desktop,;LXMusic simple music player,lxmusic,lxmusic,/usr/share/applications/lxmusic.desktop,;LASH Panel,lash_panel,lash,/usr/share/applications/lash-panel.desktop,;Brasero,brasero,brasero,/usr/share/applications/brasero.desktop,;gPodder,/usr/bin/gpodder,gpodder,/usr/share/applications/gpodder.desktop,;MediaInfo,mediainfo-gui,mediainfo,/usr/share/applications/mediainfo-gui.desktop,;gtk-recordMyDesktop,gtk-recordMyDesktop,gtk-recordmydesktop.png,/usr/share/applications/gtk-recordmydesktop.desktop,;Просмотрщик SWF Gnash,gnash-gtk-launcher,gnash,/usr/share/applications/gnash.desktop,;
pdf_reader/installed=qpdfview,qpdfview,qpdfview,/usr/share/applications/qpdfview.desktop,;Просмотр изображений,gpicview,gpicview,/usr/share/applications/gpicview.desktop,;Shotwell Viewer,shotwell,shotwell,/usr/share/applications/shotwell-viewer.desktop,;
image_display/installed=qpdfview,qpdfview,qpdfview,/usr/share/applications/qpdfview.desktop,;Просмотр изображений,gpicview,gpicview,/usr/share/applications/gpicview.desktop,;Shotwell Viewer,shotwell,shotwell,/usr/share/applications/shotwell-viewer.desktop,;
text_editor/installed=Leafpad,leafpad,leafpad,/usr/share/applications/leafpad.desktop,;
archive/installed=Xarchiver,xarchiver,xarchiver,/usr/share/applications/xarchiver.desktop,;
spreadsheet/installed=Gnumeric,gnumeric,gnumeric,/usr/share/applications/gnumeric.desktop,;
bittorent/installed=Transmission,transmission-gtk,transmission,/usr/share/applications/transmission-gtk.desktop,;
document/installed=AbiWord,abiword,abiword,/usr/share/applications/abiword.desktop,;
burn/installed=Brasero,brasero,brasero,/usr/share/applications/brasero.desktop,;
tasks/installed=Журналы,gnome-logs,gnome-logs,/usr/share/applications/org.gnome.Logs.desktop,;GSmartControl,"/usr/bin/gsmartcontrol",gsmartcontrol,/usr/share/applications/gsmartcontrol.desktop,;Диспетчер задач,lxtask,utilities-system-monitor,/usr/share/applications/lxtask.desktop,;
Comment 15 Mamoru TASAKA 2015-12-07 07:23:20 EST
Please "attach" the file, not directly paste, please!
Comment 16 Mamoru TASAKA 2015-12-07 07:25:20 EST
Again, would you "attach" the file?
Also would you write in detail how to reproduce this issue?
Comment 17 Mamoru TASAKA 2015-12-07 07:41:36 EST
By the way, are you using lxsession on Icewm??
Comment 18 mastaiza 2015-12-07 14:26:38 EST
I do not know why the application fell
Comment 19 mastaiza 2015-12-07 14:30:01 EST
(In reply to Mamoru TASAKA from comment #17)
> By the way, are you using lxsession on Icewm??

notification-daemon
Comment 20 mastaiza 2015-12-07 14:31:12 EST
(In reply to Mamoru TASAKA from comment #15)
> Please "attach" the file, not directly paste, please!


I can not understand how to do it
Comment 21 Mamoru TASAKA 2015-12-08 07:36:35 EST
(In reply to mastaiza from comment #20)
> (In reply to Mamoru TASAKA from comment #15)
> > Please "attach" the file, not directly paste, please!
> 
> 
> I can not understand how to do it

Search "Add an attachment" on this bugzilla ticker after you log in (Where it is shown depends on your settings)

(In reply to mastaiza from comment #19)
> (In reply to Mamoru TASAKA from comment #17)
> > By the way, are you using lxsession on Icewm??
> 
> notification-daemon

Well, then, at the time this happened (or if you cannot reproduce this,) what does

$ echo $DESKTOP_SESSION

says?
Comment 22 mastaiza 2015-12-08 09:44:36 EST
(In reply to Mamoru TASAKA from comment #21)
> (In reply to mastaiza from comment #20)
> > (In reply to Mamoru TASAKA from comment #15)
> > > Please "attach" the file, not directly paste, please!
> > 
> > 
> > I can not understand how to do it
> 
> Search "Add an attachment" on this bugzilla ticker after you log in (Where
> it is shown depends on your settings)
> 
> (In reply to mastaiza from comment #19)
> > (In reply to Mamoru TASAKA from comment #17)
> > > By the way, are you using lxsession on Icewm??
> > 
> > notification-daemon
> 
> Well, then, at the time this happened (or if you cannot reproduce this,)
> what does
> 
> $ echo $DESKTOP_SESSION
> 
> says?

Icewm
Comment 23 mastaiza 2015-12-08 09:56 EST
Created attachment 1103634 [details]
settings.conf
Comment 24 mastaiza 2015-12-08 09:57 EST
Created attachment 1103635 [details]
run.log
Comment 25 Mamoru TASAKA 2015-12-08 10:13:54 EST
Now,
* Would you write the result of $ rpm -V lxde-common
  ?
* And would you attach ~/.config/lxsession/LXDE/desktop.conf ?
Comment 26 mastaiza 2015-12-08 10:21:36 EST
(In reply to Mamoru TASAKA from comment #25)
> Now,
> * Would you write the result of $ rpm -V lxde-common
>   ?
> * And would you attach ~/.config/lxsession/LXDE/desktop.conf ?


After entering the command rpm -V lxde-common no output
Comment 27 mastaiza 2015-12-08 10:23 EST
Created attachment 1103638 [details]
config/lxsession/LXDE/desktop.conf
Comment 28 Mamoru TASAKA 2015-12-08 10:37:54 EST
Umm... would you attach the result of
$ pstree -l -p
?
Comment 29 mastaiza 2015-12-08 11:08 EST
Created attachment 1103643 [details]
pstree
Comment 30 Mamoru TASAKA 2015-12-09 05:10:56 EST
So lxsession is not running but icewm-session is running instead. You should have modified some default settings...

* Would you attach /var/lib/lxdm/lxdm.conf ?
* And alsos if ~/.dmrc exists, please attach it.
Comment 31 mastaiza 2016-09-26 10:00 EDT
Created attachment 1204845 [details]
lxdm.conf
Comment 32 mastaiza 2016-09-26 10:01:50 EDT
I have no file ~/.dmrc
Comment 33 Mamoru TASAKA 2016-09-26 10:32:09 EDT
Is this issue still reproducible to you? 
If so, please write the detailed procedure so that I can reproduce this. (If this issue is reproducible with fresh reinstall, it is much appreciated)
Comment 34 mastaiza 2016-09-26 10:36:40 EDT
this error is no longer observed . I think the bug can be closed
Comment 35 Mamoru TASAKA 2016-09-26 11:10:24 EDT
Okay, thank you. If you see some similar issue, please file a new bug report.

Note You need to log in before you can comment on or make changes to this bug.